package com.jwipc.order.constant;

import lombok.Getter;

/**
 * <p> </p>
 *
 * @author ZhangJie
 * @version 1.0
 * @since JDK 1.8
 */
@Getter
public enum PcnStatus {
    DRAFT(1, "草稿"),
    AWAITING_SQE_APPROVAL(2, "待SQE受理"),
    APPROVAL_IN_PROGRESS(3, "审批中"),
    APPROVAL_REJECTED(4, "审批拒绝"),
    APPROVAL_AGREED(5, "审批同意"),
    Destroy(6, "废弃");

    private final int status;
    private final String description;
    PcnStatus(int status, String description) {
        this.status = status;
        this.description = description;
    }
}
